/**
 * Intrinio API
 * Welcome to the Intrinio API! Through our Financial Data Marketplace, we offer a wide selection of financial data feed APIs sourced by our own proprietary processes as well as from many data vendors. For a complete API request / response reference please view the [Intrinio API documentation](https://docs.intrinio.com/documentation/api_v2). If you need additional help in using the API, please visit the [Intrinio website](https://intrinio.com) and click on the chat icon in the lower right corner.
 *
 * OpenAPI spec version: 2.52.5
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: unset
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', '../../src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require('../../src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.intrinioSDK);
  }
}(this, function(expect, intrinioSDK) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new intrinioSDK.OptionPriceEod();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('OptionPriceEod', function() {
    it('should create an instance of OptionPriceEod', function() {
      // uncomment below and update the code to test OptionPriceEod
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be.a(intrinioSDK.OptionPriceEod);
    });

    it('should have the property date (base name: "date")', function() {
      // uncomment below and update the code to test the property date
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property close (base name: "close")', function() {
      // uncomment below and update the code to test the property close
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property closeBid (base name: "close_bid")', function() {
      // uncomment below and update the code to test the property closeBid
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property closeAsk (base name: "close_ask")', function() {
      // uncomment below and update the code to test the property closeAsk
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property volume (base name: "volume")', function() {
      // uncomment below and update the code to test the property volume
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property open (base name: "open")', function() {
      // uncomment below and update the code to test the property open
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property openAsk (base name: "open_ask")', function() {
      // uncomment below and update the code to test the property openAsk
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property openBid (base name: "open_bid")', function() {
      // uncomment below and update the code to test the property openBid
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property openInterest (base name: "open_interest")', function() {
      // uncomment below and update the code to test the property openInterest
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property high (base name: "high")', function() {
      // uncomment below and update the code to test the property high
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property low (base name: "low")', function() {
      // uncomment below and update the code to test the property low
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property mark (base name: "mark")', function() {
      // uncomment below and update the code to test the property mark
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property askHigh (base name: "ask_high")', function() {
      // uncomment below and update the code to test the property askHigh
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property askLow (base name: "ask_low")', function() {
      // uncomment below and update the code to test the property askLow
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property bidHigh (base name: "bid_high")', function() {
      // uncomment below and update the code to test the property bidHigh
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property bidLow (base name: "bid_low")', function() {
      // uncomment below and update the code to test the property bidLow
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property impliedVolatility (base name: "implied_volatility")', function() {
      // uncomment below and update the code to test the property impliedVolatility
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property delta (base name: "delta")', function() {
      // uncomment below and update the code to test the property delta
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property gamma (base name: "gamma")', function() {
      // uncomment below and update the code to test the property gamma
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property theta (base name: "theta")', function() {
      // uncomment below and update the code to test the property theta
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property vega (base name: "vega")', function() {
      // uncomment below and update the code to test the property vega
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property closeTime (base name: "close_time")', function() {
      // uncomment below and update the code to test the property closeTime
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property closeSize (base name: "close_size")', function() {
      // uncomment below and update the code to test the property closeSize
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property closeBidTime (base name: "close_bid_time")', function() {
      // uncomment below and update the code to test the property closeBidTime
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property closeBidSize (base name: "close_bid_size")', function() {
      // uncomment below and update the code to test the property closeBidSize
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property closeAskTime (base name: "close_ask_time")', function() {
      // uncomment below and update the code to test the property closeAskTime
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property closeAskSize (base name: "close_ask_size")', function() {
      // uncomment below and update the code to test the property closeAskSize
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

    it('should have the property exerciseStyle (base name: "exercise_style")', function() {
      // uncomment below and update the code to test the property exerciseStyle
      //var instane = new intrinioSDK.OptionPriceEod();
      //expect(instance).to.be();
    });

  });

}));
